Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
voice-library
List all voices in the account's voice library
curl --request GET \
  --url https://api.us.poly.ai/v1/accounts/{accountId}/voice-library \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.us.poly.ai/v1/accounts/{accountId}/voice-library"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.us.poly.ai/v1/accounts/{accountId}/voice-library', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "voices": [
    {
      "id": "<string>",
      "name": "<string>",
      "provider": "<string>",
      "providerVoiceId": "<string>",
      "config": {},
      "metadata": {},
      "isPolyVoice": false
    }
  ]
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "Account ID does not exist.",
  "error_id": "550e8400-e29b-41d4-a716-446655440000",
  "error_code": "ACCOUNT_NOT_FOUND",
  "error_message": "Account ID does not exist.",
  "data": null
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

accountId
string
required

Query Parameters

language
string

Filter by voice metadata language, e.g. 'en-US'

gender
enum<string>

Filter by voice metadata gender

Available options:
male,
female,
neutral
provider
string

Filter by TTS provider, e.g. 'GOOGLE', 'ELEVENLABS'

isPolyVoice
boolean

If set, restrict to (or exclude) Poly's curated voices

Response

Successful response

Response for GET /voice-library.

voices
object[]
required
Last modified on May 29, 2026